MODULE trcctl_my_trc
   !!======================================================================
   !!                         ***  trcctl_my_trc.F90  ***
   !! TOP :                Control of MY_TRC biogeochemical model
   !!======================================================================
   !!----------------------------------------------------------------------
   !! History :   1.0  !  2000-12 (C. Ethe) assign a parameter to name individual tracers
   !!----------------------------------------------------------------------

#if defined key_my_trc

   USE oce_trc
   USE trc


   IMPLICIT NONE
   PRIVATE

   PUBLIC trc_ctl_my_trc     ! called by ???


   !!----------------------------------------------------------------------
   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
   !! $Id$ 
   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
   !!----------------------------------------------------------------------

CONTAINS

   SUBROUTINE trc_ctl_my_trc
      !!----------------------------------------------------------------------
      !!                     ***  ROUTINE trc_ctl_pisces  ***
      !!
      !! ** Purpose :   control the cpp options, namelist and files 
      !!----------------------------------------------------------------------

      INTEGER :: jl, jn

      IF(lwp) WRITE(numout,*)
      IF(lwp) WRITE(numout,*) ' use COLOR tracer '

      DO jl = 1, jp_my_trc
         jn = jp_myt0 + jl - 1
         WRITE(ctrcnm(jn),'(a,i2.2)') 'CLR',jn
         ctrcnl(jn)='Color concentration'
         ctrcun(jn)='N/A'
      END DO


   END SUBROUTINE trc_ctl_my_trc

#else
   !!----------------------------------------------------------------------
   !!  Empty module :                                            No PISCES
   !!----------------------------------------------------------------------
CONTAINS
   SUBROUTINE trc_ctl_my_trc               ! Dummy routine
   END SUBROUTINE trc_ctl_my_trc
#endif

   !!======================================================================
END MODULE trcctl_my_trc
